.post-body,
.page-body {
    margin: var(--default-margin) 0;
    position: relative;
}
.dev-posts-grid {
    display: grid;
    column-gap: 1em;
    row-gap: 1em;
}
/*============= SINGLE DEV ===============*/
.advantages-dev-grid {
    display: grid;
    column-gap: 1rem;
    row-gap: 1rem;
    margin-bottom: 3rem;
}
.advantages-dev-grid .grid-cell i {
  font-size: 4em;
}
.advantages-dev-grid .grid-cell {
  padding: 1em 0.5em;
  text-align: center;
  display: flex;
  flex-direction: column;
  border-radius: 0.5em;
}
.dev-post-container > .img-decor {
    width: 50%;
}
.dev-post-container > .img-decor.right {
    margin: 0;
    right: 0;
    left: auto;
}
.single-title {
    font-weight: bold;
    font-size: 2em;
    text-transform: uppercase;
    color: var(--orange);
}
.dev_site_description {
    box-sizing: border-box;
    padding: 10px;
    border-style: solid;
    border-width: 5px 5px 5px 5px;
    -moz-border-image: url(../img/decor/border-gradient.webp) 5 5 5 5 fill stretch repeat;
    -webkit-border-image: url(../img/decor/border-gradient.webp) 5 5 5 5 fill stretch repeat;
    -o-border-image: url(../img/decor/border-gradient.webp) 5 5 5 5 fill stretch repeat;
    border-image: url(../img/decor/border-gradient.webp) 5 5 5 5 fill stretch repeat;
    background: url(../img//bgs/post_bg.webp) no-repeat center;
    background-size: cover;
}
.border-gradient {
    box-sizing: border-box;
    border-style: solid;
    border-width: 5px 5px 5px 5px;
    -moz-border-image: url(../img/decor/border-gradient.webp) 5 5 5 5 fill stretch repeat;
    -webkit-border-image: url(../img/decor/border-gradient.webp) 5 5 5 5 fill stretch repeat;
    -o-border-image: url(../img/decor/border-gradient.webp) 5 5 5 5 fill stretch repeat;
    border-image: url(../img/decor/border-gradient.webp) 5 5 5 5 fill stretch repeat;
    backdrop-filter: blur(8px) saturate(180%);
    -webkit-backdrop-filter: blur(8px) saturate(180%);
    background-color: rgba(17, 25, 40, 0.6);
}
.dev-box-wrapper {
    background: rgba(27, 4, 73, 0.3);
    border: 1px solid rgba(39, 6, 105, 0.5);
    /* box-shadow: 0 0px 8px rgba(60, 9, 161, 0.3); */
    /* box-shadow: 0 4px 10px rgba(255, 255, 255, 0.1); */
}
.dev_post {
    padding: 5% 0;
}
.dev-post-header {
    display: grid;
    /* grid-template-columns: 1fr 1fr; */
    column-gap: 10px;
    margin-bottom: 2em;
    position: relative;
    /* text-align: center; */
}
.dev-post-description {
    margin-bottom: 1.5em;
}
.dev-grid-body ul,
.dev-post-description ul,
.dev_main_functions ul {
    box-sizing: border-box;
    padding-left: 25px;
    list-style: circle;
}
.dev-grid-body {
    display: grid;
    row-gap: var(--default-margin);
    column-gap: 2em;
}
.dev-grid-body > section:nth-child(3n) {
    /* grid-column: span 2; */

    /* break-inside: avoid;
    height: fit-content;
    margin-bottom: 2em; */
}
.dev-post-footer {
    /* margin-top: var(--default-margin); */
    margin-bottom: var(--default-margin);
}
.advantages-section {
    width: 100%;
    margin-bottom: var(--default-margin);
}
.dev-steps-section {
    /* display: grid;
    grid-template-columns: 0.8fr 1.2fr;
    column-gap: 2rem; */
    display: flex;
    flex-direction: column;
    position: relative;
}
.dev-steps-section .img-decor {
    z-index: -1;
    opacity: .5;
}
.dev-steps-wrapper {
    display: flex;
    flex-direction: column;
    row-gap: 1rem;
    margin: 3rem auto;
}
.dev-step {
    display: flex;
    column-gap: 1rem;
    align-self: flex-end;
    flex-direction: column;
}
/* .dev-step:nth-child(odd){
    flex-direction: row-reverse;
    align-self: flex-start;
} */
.dev-step-count {
    display: none;
    font-size: 160px;
    line-height: 160px;
    font-weight: bold;
    width: 35%;
    flex-shrink: 0;
    align-items: center;
    justify-content: center;
    text-align: center;

    /* background: linear-gradient(to top, #ff0000 0%, #ff9f1c 50%, #ffd166 100%); */
    background-image: url(../img/decor/meteor-2-mirror.png);
    background-size: cover;
    background-position: center;
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
}
.dev-step-info h3 {
    margin-top: 0;
    text-transform: uppercase;
    font-size: 1em;
}
.grid-row {
    display: grid;
    column-gap: 1em;
    row-gap: var(--default-margin);
    position: relative;
}
.grid-row > * {
    display: grid;
}
.grid-row .img-decor {
    top: -15%;
    height: 130%;
    width: auto;
    object-fit: contain;
}
.dev-post-content-wrapper {
    display: flex;
    flex-direction: column-reverse;
}
.dev-post-content-image img {
    width: 100%;
    height: auto;
    object-fit: contain;
}
.dev-post-content {
    position: relative;
}
.fire-border {
    position: relative;
    /* padding: 1rem;
    border-radius: 1rem; */
    border: 2px solid var(--pink);
    backdrop-filter: blur(8px) saturate(180%);
    -webkit-backdrop-filter: blur(8px) saturate(180%);
    background-color: rgba(17, 25, 40, 0.6);
    /* box-shadow: inset 0 30px 30px -30px #fe4684; */
    /* box-shadow: 0 0 5px #ff1100c4; */
    /* background: linear-gradient(45deg, #ff0404, #ff9204); */

    /* background-image: linear-gradient(#FFEDC6, #FFEDC6),
                linear-gradient(#FFEDC6, #FFEDC6),
                linear-gradient(#FFEDC6, #FFEDC6),
                linear-gradient(#FFEDC6, #FFEDC6),
                linear-gradient(#FFEDC6, #FFEDC6),
                linear-gradient(#FFEDC6, #FFEDC6),
                linear-gradient(transparent, transparent);
    background-repeat: no-repeat;
    background-size: 3px 50%, 51% 3px, 3px 51%, 50% 3px, 3px 50%, 50% 3px, calc(100% - 18px) calc(100% - 18px);
    background-position: left top, left top, right bottom, right bottom, right top, right top, 3px 3px; */

    /* border: 2px solid transparent;
    background-image: 
        linear-gradient(var(--dark-bg), var(--dark-bg)),
        linear-gradient(to right, #ff0404, #ff9204);
    background-origin: padding-box, border-box;
    background-clip: padding-box, border-box; */
}
.offer-box .color-upper-title,
.sta-box .color-upper-title {
    margin-bottom: 0.5em;
    text-align: center;
}
.offer-box button,
.sta-box button {
    margin-top: 1em;
}
.sta-box-grid {
    display: flex;
    flex-direction: column-reverse;
}
.sta-box-fone-image img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.dev-post-header-action-area {
    display: flex;
    column-gap: 1em;
    align-items: center;
    flex-direction: column;
}
.dev-post-header-action-area button {
    margin-top: 1em;
}
.dev-post-container {
    display: flex;
    flex-direction: column;
    row-gap: var(--default-margin);
}
/*============= SINGLE SERVICE ===============*/
.service-article {
    display: flex;
    flex-direction: column;
}
.service-post-header {
    display: grid;
    margin-bottom: var(--default-margin);
}
.service-post-header .post-thumbnail img {
    width: 100%;
    height: auto;
}
.service-post-block {
    position: relative;
    display: flex;
    flex-direction: column;
    margin-bottom: var(--default-margin);
}
.post-content-image-box {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
}
.post-content-image {
    position: absolute;
    right: 0;
    transform: translateY(35%);
    width: 85%;
    height: auto;
    opacity: 0.7;
    z-index: -1;
}
.service-post-block h2 {
    margin-top: 0;
    margin-bottom: 1em;
}
.service-post-description {
    margin-bottom: 30px;
}
.service-sta-box {
    margin-bottom: var(--default-margin);
}
.service-sta-box-wrapper {
    border-radius: 1rem;
    padding: 2.5rem 1rem;
    box-sizing: border-box;
}
.service-post-content {
    border-radius: 0.5rem;
    /* background-color: #0D3062; */
    /* background-color: #0E0226;
     */
    padding: 1rem;
    box-shadow: 0 0 15px rgba(235, 236, 242, 0.7);
    color: #0E0226;
    /* background: rgba(255, 255, 255, 0.3); */
    background: rgba(235, 236, 242, 0.7);
    backdrop-filter: blur(8px);
    border: 1px solid rgba(255, 255, 255, 0.3);
}
.service-card {
    display: flex;
    flex-direction: column;
}
.service-card .card-body {
    flex-grow: 1;
    margin-bottom: 2rem;
}
.service-card .btn {
    display: block;
    margin: 0 auto;
    min-width: 230px;
    text-align: center;
}